#ifndef BATTERY_VIEW_HPP_
#define BATTERY_VIEW_HPP_

#include <Widget/Widget.hpp>

/**
 * @brief The battery view widget, showing the amount of stored energy.
 */
class BatteryView : public Widget
{
private:
    const int &m_energy;
    int m_capacity;
    int m_divisor;
    int m_width;

public:
    BatteryView(const int &energy, int capacity, int divisor = 100, int width = 6);

    virtual void draw(GraphicsContext &context) override;
    virtual glm::ivec2 getMinSize() override;
};

#endif